using System;
using System.Collections.Generic;
using System.Text;
using GTANetworkAPI;
using ReallifeGamemode.Server.Util;

namespace ReallifeGamemode.Server.Job
{
    class TaxiDriverJob : JobBase
    {
        public List<TaxiContract> TaxiContracts { get; set; } = new List<TaxiContract>();

        public override int Id => 1;

        public override string Name => "Taxifahrer";

        public override bool NeedVehicleToStart => true;

        public TaxiDriverJob()
        {
            JobStart += TaxiDriverJobJobStart;
            JobStop += TaxiDriverJobJobStop;
        }

        private void TaxiDriverJobJobStart(Client player)
        {
            player.Vehicle.SetSharedData("vehicleTaxiLight", true);
        }

        private void TaxiDriverJobJobStop(Client player)
        {
            player.Vehicle.SetSharedData("vehicleTaxiLight", false);
        }
    }
}
